# PROC SimInput::AddQuInfo { }
#
# Define additional entries in Input From file dialog
#
# 4 values needed: key english_txt german_txt unit
#
#  key  keyname, used as key name in TestRun File.
#     Same name will be used by the simulation program.
#          Pay attention: Only User1, User2, ..., User30 will be 
#          supported by default, other names will need an extension 
#          of the ExternalInputs module(not possible for the user).
#  *_txt Text shown in dialog (englisch, german)
#  unit  Unit, used only in dialog
#
# Remarks:
# - To add new entries to the dialog you just need to call 
#   the SimInput::AddQuInfo procedure
# - to rearrange or exclude some channels from the list use SimInput::QuList (see below)

SimInput::AddQuInfo {

   User1    "PoT_GCS.Lat"    "PoT_GCS.Lat"      "rad"
   User2    "PoT_GCS.Long"   "PoT_GCS.Long"     "rad"
   User3    "PoT_GCS.Elev"   "PoT_GCS.Elev"     "m"

   
}

# Variable SimInput::QuList
#
# List (and order) of Input From File dialog.
#
# CarMaker 4.0 uses following values:
#  Velocity StWhlAngle StWhlTrq Gas Brake Clutch
#  GearNo PActUnit BrakePark User1 User2 User3 User4
#
# Example : New definiton of the list
#     (you can suppress standard variables)
#set SimInput::QuList {
#    User3 StWhlAngle Velocity Clutch GearNo BrakePark User1 User2
#}

# Reinitialise dialog and internal variables
SimInput::New
SetSavedData TestRun

